SUBROUTINE DTTST290
!use consts
use global
implicit none  
real(DP) :: f,ftry
integer :: i,j,icell,jcell
save

      F=0.
      DO 10 I=2,IMAX
      DO 10 J=2,JMAX
      FTRY=CIN(I,J)*(GFZ(I,J)+GFZ(I,J+1) &
                    +GFR(I,J)+GFR(I+1,J))
      IF(FTRY.LE.F) GO TO 10
      F=FTRY
      ICELL=I
      JCELL=J
   10 CONTINUE
      DT=1./F

RETURN
END SUBROUTINE DTTST290